Bug 63013 - [Port Update]:: comms/hamlib 1.1.4 -> 1.2.0
Summary: [Port Update]:: comms/hamlib 1.1.4 -> 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-18 13:40 UTC by Sebastian Yepes
Modified: 2004-04-20 13:32 UTC (History)
0 users

See Also:


Attachments
file.diff (5.88 KB, patch)
2004-02-18 13:40 UTC, Sebastian Yepes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Yepes 2004-02-18 13:40:18 UTC
	Update to the new Release of HamLib 1.2.0
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-02-23 00:24:40 UTC
State Changed
From-To: open->feedback

When I try to install this on 4.9-PRERELEASE, I get the following: 

In file included from getopt_long.c:23: 
getopt.h:107: conflicting types for `getopt_long' 
../include/config.h:399: previous declaration of `getopt_long' 
In file included from getopt_long.c:178: 
getopt.c: In function `_getopt_internal': 
getopt.c:455: warning: implicit declaration of function `strncmp' 
*** Error code 1 

Can the submitter confirm this?
Comment 2 Kris Kennaway 2004-03-06 12:57:20 UTC
On Sun, Feb 22, 2004 at 04:25:13PM -0800, Mark Linimon wrote:
> Synopsis: [Port Update]:: comms/hamlib 1.1.4 -> 1.2.0
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: linimon
> State-Changed-When: Sun Feb 22 16:24:40 PST 2004
> State-Changed-Why: 
> When I try to install this on 4.9-PRERELEASE, I get the following:
> 
> In file included from getopt_long.c:23:
> getopt.h:107: conflicting types for `getopt_long'
> ../include/config.h:399: previous declaration of `getopt_long'
> In file included from getopt_long.c:178:
> getopt.c: In function `_getopt_internal':
> getopt.c:455: warning: implicit declaration of function `strncmp'
> *** Error code 1
> 
> Can the submitter confirm this?

I see this too.

Kris
Comment 3 Kirill Ponomarev freebsd_committer 2004-03-12 13:35:55 UTC
State Changed
From-To: feedback->closed

Timeout from submitter.
Comment 4 carl 2004-04-19 14:50:19 UTC
Evening All,
Below is a crude hack but it avoids the dual getopt_long definition.  I 
think it will also fail if libgnugetopt is not installed.  This patch 
below should take care of both compile failures.

Please also look at ports/65758 which adds;

USE_GNOME=	pkgconfig gnomehack

to the Makefile of Hamlib 1.1.4 which is also valid for 1.2.0.

Also, this port is using "USE_SIZE" which I think is now deprecated!

--------------- Cut Here ----------------------------------
New File: /usr/ports/comms/hamlib/files/patch-config.h.in
--- include/config.h.in.orig	Mon Apr 19 22:16:14 2004
+++ include/config.h.in	Mon Apr 19 22:16:43 2004
@@ -388,16 +388,6 @@
  extern "C" {
  #endif

-#ifndef HAVE_GETOPT
-int getopt (int argc, char * const argv[], const char * optstring);
-extern char * optarg;
-extern int optind, opterr, optopt;
-#endif
-#ifndef HAVE_GETOPT_LONG
-int getopt_long (int argc, char * const argv[], const char * optstring,
-			const struct option * longopts, int * longindex);
-#endif
-
  #ifndef HAVE_USLEEP
  int usleep(unsigned long usec);	/* SUSv2 */
  #endif
--------------- Cut Here ----------------------------------

Thanks!

Carl.
Comment 5 Pav Lucistnik freebsd_committer 2004-04-19 20:14:17 UTC
State Changed
From-To: closed->open

Reopen, feedback received.
Comment 6 Pav Lucistnik freebsd_committer 2004-04-20 13:32:40 UTC
State Changed
From-To: open->closed

Committed, thanks!